package pps.core.base.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.base.entity.BasePriceStrategyDetailView;
import pps.core.base.entity.BasePriceStrategyMonthEnt;

import java.util.List;

/**
 * 市电峰谷当月明细配置
 *
 * @author ZWT
 * @date 2023/08/24
 */
@Repository(value = "pps.core.base.mapper.BasePriceStrategyDetailViewMapper")
public interface BasePriceStrategyDetailViewMapper {
    BasePriceStrategyDetailView selectOne(BasePriceStrategyDetailView record);

    List<BasePriceStrategyDetailView> selectList(BasePriceStrategyDetailView record);

    /**
     * 删除月份对应详情信息
     *
     * @param strategyId 战略id
     * @param monthList  月清单
     * @return int
     */
    int deleteBatchByStrategyMonth(@Param(value = "strategyId") String strategyId,
                                   @Param(value = "monthList") List<BasePriceStrategyMonthEnt> monthList);
}
